package com.bocloud.cmp.model;

import java.util.Date;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: AzureResourceGroupsModel
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2019/8/6 14:58
 */
public class ResourceGroupModel {
    private Date gmtCreate;// 创建时间
    private Date createTime;// 创建时间
    private String name; // 资源组名称
    private String resourceGroupUuid;// 资源组id
    private String regionId;// 资源组的位置。创建资源组后无法更改。它必须是受支持的Azure位置之一
    private String managedBy;// 管理此资源组的资源的ID
    private String type;// 资源组的类型
    private String tags;// 附加到资源组的标记
    private String provisioningState;// 供应状态
    private String status;
    private String displayName;

    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getResourceGroupUuid() {
        return resourceGroupUuid;
    }

    public void setResourceGroupUuid(String resourceGroupUuid) {
        this.resourceGroupUuid = resourceGroupUuid;
    }

    public String getRegionId() {
        return regionId;
    }

    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }

    public String getManagedBy() {
        return managedBy;
    }

    public void setManagedBy(String managedBy) {
        this.managedBy = managedBy;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getTags() {
        return tags;
    }

    public void setTags(String tags) {
        this.tags = tags;
    }

    public String getProvisioningState() {
        return provisioningState;
    }

    public void setProvisioningState(String provisioningState) {
        this.provisioningState = provisioningState;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getDisplayName() {
        return displayName;
    }

    public void setDisplayName(String displayName) {
        this.displayName = displayName;
    }
}
